[X2Go-Commits] [live-build-x2go] 39/58: name change, adapted to work with new TCE

git-admin at x2go.org git-admin at x2go.org
Tue Feb 14 09:34:11 CET 2017


This is an automated email from the git hooks/post-receive script.

x2go pushed a commit to branch feature/openbox
in repository live-build-x2go.

commit 7a8f5fe7ee2a5a6a01ccbb7036b0a190b997e05d
Author: Stefan Baur (BAUR-ITCS) <kontakt at baur-itcs.de>
Date:   Mon Jan 2 10:50:32 2017 +0100

    name change, adapted to work with new TCE
---
 .../config/2410-x2go-getopensshportableclientkey   |   46 ++++++++++++++++++++
 1 file changed, 46 insertions(+)

diff --git a/config/includes.chroot/lib/live/config/2410-x2go-getopensshportableclientkey b/config/includes.chroot/lib/live/config/2410-x2go-getopensshportableclientkey
new file mode 100755
index 0000000..1f7b486
--- /dev/null
+++ b/config/includes.chroot/lib/live/config/2410-x2go-getopensshportableclientkey
@@ -0,0 +1,46 @@
+#!/bin/sh
+
+
+X2GoGetOpenSSHPortableClientKey ()
+{
+	# Output startup message
+	#
+	echo -n " x2go-getopensshportableclientkey"
+
+	# This script is for using the iso-hybrid image along with the "second partition" patch
+	# it allows you to share ssh secret keys between X2GoClient for Windows in portable
+	# mode and the X2Go-ThinClientEnvironment on the same USB media using different partitions
+
+	# Homedir of client side X2Go ThinClient Account
+	#
+	X2GOHOME="/home/user/"
+
+	# Homedir of Portable App Installation
+	#
+	HOME="/media/PORTABLEAPP/"
+
+	if [ -d "$HOME" ] && [ -d "$X2GOHOME" ]; then
+
+		# create .ssh-Directory in case it doesn't exist
+		#
+		mkdir -p $(readlink -m "$X2GOHOME/.ssh/")
+
+		for KEYFILE in $HOME/ssh/* ; do
+			[ -s "$KEYFILE" ] || continue
+			KEYDESTPATH="$X2GOHOME/.ssh/$(basename "$KEYFILE")"
+			touch "$KEYDESTPATH"
+			chown   user:user \
+				$KEYDESTPATH
+			chmod   600 $KEYDESTPATH
+			cat     $(readlink -m "$KEYFILE")>$KEYDESTPATH
+
+		done
+
+		# this is so the path name in the sessions file matches again
+		# (cannot use .ssh on FAT, for example)
+		ln -s $X2GOHOME/.ssh $X2GOHOME/ssh
+	fi
+}
+
+X2GoGetOpenSSHPortableClientKey
+

--
Alioth's /srv/git/code.x2go.org/live-build-x2go.git//..//_hooks_/post-receive-email on /srv/git/code.x2go.org/live-build-x2go.git


More information about the x2go-commits mailing list